# New ports collection makefile for:	wmsolar
# Date created:				Tue Jan 15 17:28:49 EST 2002
# Whom:					pat
#
# $FreeBSD: ports/astro/wmsolar/Makefile,v 1.3 2003/03/07 05:55:30 ade Exp $
#

PORTNAME=	wmsolar
PORTVERSION=	1.0
CATEGORIES=	astro windowmaker
MASTER_SITES=	http://www.inxsoft.net/wmsolar/

MAINTAINER=	pat@FreeBSD.org
COMMENT=	A dockapp that displays the solar system viewed from top

WRKSRC=		${WRKDIR}/wmSolar
USE_X_PREFIX=	yes
USE_XPM=	yes
USE_GMAKE=	yes
USE_REINPLACE=	yes

pre-patch:
	@${REINPLACE_CMD} -e 's|values.h|float.h|; s|MAXDOUBLE|DBL_MAX|g' \
		${WRKSRC}/wmSolar.c

do-install:
	@${INSTALL_PROGRAM} ${WRKSRC}/wmSolar ${PREFIX}/bin

.include <bsd.port.mk>
